package com.sii.eucaptcha.configuration.filter;

import org.springframework.http.HttpHeaders;
import org.springframework.stereotype.Component;
import org.springframework.web.filter.OncePerRequestFilter;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Component
public class HeaderFilterAdder extends OncePerRequestFilter {

    public HeaderFilterAdder() {
    }

    @Override
    protected void doFilterInternal(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, FilterChain filterChain) throws ServletException, IOException {
        if(httpServletRequest.getRequestURI().contains("captchaImg" )){
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_ORIGIN, httpServletRequest.getHeader("Origin"));
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_CREDENTIALS, "true");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_HEADERS,
                            "*, Access-Control-Allow-Headers, X-Requested-With, xJwtString, Content-Type, cache-control, Authorization");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_EXPOSE_HEADERS, "xJwtString");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_EXPOSE_HEADERS, "Content-Type");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_METHODS,"POST, GET, HEAD, OPTIONS");
        }
        if(httpServletRequest.getRequestURI().contains("reloadCaptchaImg")){
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_ORIGIN, httpServletRequest.getHeader("Origin"));
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_CREDENTIALS, "true");
            httpServletResponse.
                    addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_HEADERS,
                            "*, Access-Control-Allow-Headers, X-Requested-With, xJwtString, Content-Type, cache-control, Authorization");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_EXPOSE_HEADERS, "xJwtString");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_EXPOSE_HEADERS, "Content-Type");
            httpServletResponse
                    .addHeader(HttpHeaders.ACCESS_CONTROL_ALLOW_METHODS,"POST, GET, HEAD, OPTIONS");
        }
        if("OPTIONS".equals(httpServletRequest.equals(httpServletRequest.getMethod()))) {
            httpServletResponse.setStatus(HttpServletResponse.SC_OK);
        } else {
            filterChain.doFilter(httpServletRequest, httpServletResponse);
        }
    }
}
